//
//  ICRUIAppearance.m
//  XFFurit
//
//  Created by Xummer on 3/31/15.
//  Copyright (c) 2015 Xummer. All rights reserved.
//

#import "ICRUIAppearance.h"

@implementation ICRUIAppearance

+ (void)CustomAppearance {
    if (IBT_IOS7_OR_LATER) {//版本大于7.0
        UIApplication.sharedApplication.delegate.window.tintColor = ICR_TINTCOLOR;
    }
    
    [[self class] customNavigationbarAppearance];
}

+ (void)customNavigationbarAppearance {
    [UINavigationBar appearance].barTintColor = ICR_TINTCOLOR;
    [UINavigationBar appearance].tintColor = ICR_NAVIBAR_ITEM_COLOR;
    
    //Universal
    NSShadow *shadow = [[NSShadow alloc] init];
    shadow.shadowOffset = CGSizeZero;
    
    [[UINavigationBar appearance] setTitleTextAttributes:
     @{ NSForegroundColorAttributeName: ICR_NAVIBAR_TITLE_COLOR,
        NSFontAttributeName: [UIFont boldSystemFontOfSize:20],
        NSShadowAttributeName: shadow}];

}


@end
